%define _with_systemd 1

%define major 0
%define libname %mklibname %name %major

%define develname %mklibname -d %name

Name:           accountsservice
Version:        0.6.14
Release:        %mkrel 2
Summary:        D-Bus interfaces for querying and manipulating user account information

Group:          System/Libraries 
License:        GPLv3+
URL:            http://www.fedoraproject.org/wiki/Features/UserAccountDialog
#VCS: git:git://git.freedesktop.org/accountsservice
Source0:        http://www.freedesktop.org/software/accountsservice/%name-%{version}.tar.xz

BuildRequires:  glib2-devel
BuildRequires:  dbus-glib-devel
BuildRequires:  polkit-1-devel
BuildRequires:  intltool
BuildRequires:  gettext-devel
%if %_with_systemd
BuildRequires:  systemd-units
%endif
Requires(post):  rpm-helper >= 0.24.8-1
Requires(preun): rpm-helper >= 0.24.8-1
BuildRequires:  gobject-introspection-devel

Requires:       polkit
Requires:       ConsoleKit
Requires:       shadow-utils

%description
The accountsservice project provides a set of D-Bus interfaces for
querying and manipulating user account information and an implementation
of these interfaces, based on the useradd, usermod and userdel commands.


%files -f accounts-service.lang
%doc COPYING README AUTHORS
%{_sysconfdir}/dbus-1/system.d/org.freedesktop.Accounts.conf
%{_libexecdir}/accounts-daemon
%{_datadir}/dbus-1/interfaces/org.freedesktop.Accounts.xml
%{_datadir}/dbus-1/interfaces/org.freedesktop.Accounts.User.xml
%{_datadir}/dbus-1/system-services/org.freedesktop.Accounts.service
%{_datadir}/polkit-1/actions/org.freedesktop.accounts.policy
%dir %{_localstatedir}/lib/AccountsService/
%dir %{_localstatedir}/lib/AccountsService/users
%dir %{_localstatedir}/lib/AccountsService/icons
%if %_with_systemd
%{_unitdir}/accounts-daemon.service
%endif

#--------------------------------------------------------------------

%package -n %libname
Summary: Client-side library to talk to accountservice
Group: System/Libraries 
Requires: %{name} = %{version}-%{release}

%description -n %libname
The accountsservice-libs package contains a library that can
be used by applications that want to interact with the accountsservice
daemon.

%files -n %libname
%{_libdir}/libaccountsservice.so.*
%{_libdir}/girepository-1.0/AccountsService-1.0.typelib

#--------------------------------------------------------------------

%package -n %develname
Summary: Development files for accountsservice-libs
Group: System/Libraries 
Requires: %{libname} = %{version}-%{release}

%description -n %develname
The accountsservice-devel package contains headers and other
files needed to build applications that use accountsservice-libs.

%files -n %develname
%{_includedir}/accountsservice-1.0
%{_libdir}/libaccountsservice.so
%{_libdir}/pkgconfig/accountsservice.pc
%{_datadir}/gir-1.0/AccountsService-1.0.gir

#--------------------------------------------------------------------

%prep
%setup -q

%build
autoreconf -fi
%configure2_5x \
%if %{_with_systemd}
  --with-systemdsystemunitdir=%{_unitdir} \
%endif

%make

%install
rm -fr %buildroot
%makeinstall_std

rm $RPM_BUILD_ROOT%{_libdir}/*.la
rm $RPM_BUILD_ROOT%{_libdir}/*.a
%find_lang accounts-service


%changelog

* Sat Apr 28 2012 tmb <tmb> 0.6.14-2.mga2
+ Revision: 234136
- ensure build and install of systemd support
- BR gettext
- Require rpm-helper >= 0.24.8-1 for systemd support
- rebuild for rpm-helper requires

* Tue Sep 06 2011 tv <tv> 0.6.14-1.mga2
+ Revision: 139160
- new release
- new URL
- use xz sources

* Sat Jul 16 2011 cjw <cjw> 0.6.12-2.mga2
+ Revision: 124716
- enable systemd support

* Thu Jun 16 2011 dmorgan <dmorgan> 0.6.12-1.mga2
+ Revision: 108301
- Fix polkit buildrequire
- imported package accountsservice

